import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;


public class GebietsDatei extends GebietsListe {
    private List<Gebiet> gebiete = new ArrayList<>();
    public String dateiname;

    public GebietsDatei(String dateiname) {
        this.dateiname = dateiname;
    }

    public void laden() {
        Path pfad = Paths.get(dateiname);

        try {
            List<String> zeilen = Files.readAllLines(pfad);
            for (int i = 0; i < zeilen.size(); i++) {
                String[] teile = zeilen.get(i).split(";");
                int jahr = Integer.parseInt(teile[0]);
                int schlüssel = Integer.parseInt(teile[1]);
                String name = teile[2];
                int gesamtEinkommen = Integer.parseInt(teile[3]);
                int durchsEinkommen = Integer.parseInt(teile[4]);
                gebiete.add(new Gebiet(jahr, schlüssel, name, gesamtEinkommen, durchsEinkommen));
            }

        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    public List<Gebiet> getGebiete() {
        return gebiete;
    }


}
